import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_pre_selected_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_pre_selected_table_entity.g.dart';

@JsonSerializable()
class THPreSelectedTableEntity {
	int total = 0;
	List<THPreSelectedTableRows> rows = [];

	THPreSelectedTableEntity();

	factory THPreSelectedTableEntity.fromJson(Map<String, dynamic> json) => $THPreSelectedTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $THPreSelectedTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class THPreSelectedTableRows {
	String? id;
	@JSONField(name: "status_show")
	String? statusShow;
	String? message;
	String? name;
	String? sex;
	String? nric;
	String? avatar;

	THPreSelectedTableRows();

	factory THPreSelectedTableRows.fromJson(Map<String, dynamic> json) => $THPreSelectedTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $THPreSelectedTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}